# docker-flutter

## Action
```yaml
- uses: icing/flutter@main
```

## Docker image
### Examples
- Run
```bash
docker volume create --ignore fluttercache
docker run --rm --network host -v "$PWD:/app/" -v "fluttercache:/home/gradle/.gradle/" git.gmoker.com/icing/flutter:main run
```

- Build
```bash
docker volume create --ignore fluttercache
docker run --rm -v "$PWD:/app/" -v "fluttercache:/home/gradle/.gradle/" git.gmoker.com/icing/flutter:main build apk
```
The apk will be found at `build/app/outputs/flutter-apk/app-release.apk`.
